package com.emmetgray.wrpn;

// A storage register.  Really just a container class to
// hold both the double and BigInt values.
public class Register
{
    private double pfvFVal;
    private BigInt pfvBiVal;

    // Default constructor
    public Register()
    {
        pfvFVal = 0;
        pfvBiVal = new BigInt(32, BigInt.ArithMode.TwosComp);
    }

    // Create a new Register given the Big Integer size and Arithmetic Mode
    public Register(int size, BigInt.ArithMode mode)
    {
        pfvFVal = 0;
        pfvBiVal = new BigInt(size, mode);
    }

    // The float value inside the register container
    public Double getFVal()
    {
        return pfvFVal;
    }

    public void setFVal(double d)
    {
        pfvFVal = d;
    }

    // The Big Integer value inside the Register
    public BigInt getBiVal()
    {
        return pfvBiVal;
    }

    public void setBiVal(BigInt bi)
    {
        pfvBiVal = bi;
    }

    // Make a "deep" copy of a register
    public Register copy()
    {
        Register answer = new Register();
        answer.pfvFVal = pfvFVal;
        answer.pfvBiVal = new BigInt(pfvBiVal, pfvBiVal.getWordSize(), pfvBiVal.getBIArithMode());
        return answer;
    }
}