package com.emmetgray.wrpn;

import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.TextView;

import androidx.appcompat.app.ActionBar;
import androidx.appcompat.app.AppCompatActivity;

//The "vanity plate"
public class fmAbout extends AppCompatActivity
{
	// I like to manually control the release date value
	String RELEASE_DATE = "28 Jun 2023";

	private TextView tvDate;
	private TextView tvEmailLink;
	private TextView tvHomeLink;
	private TextView tvVersion;

	@Override
	public void onCreate(Bundle savedInstanceState)
	{
		super.onCreate(savedInstanceState);
		setContentView(R.layout.about);

		ActionBar actionBar = getSupportActionBar();
		actionBar.setTitle(R.string.about_title);
		actionBar.setDisplayHomeAsUpEnabled(true);

		// inflate the controls
		tvDate = findViewById(R.id.tvDate);
		tvEmailLink = findViewById(R.id.tvEmailLink);
		tvHomeLink = findViewById(R.id.tvHomeLink);
		tvVersion = findViewById(R.id.tvVersion);

		// fill in the text
		tvDate.setText(getString(R.string.about_date) + RELEASE_DATE);
		tvEmailLink.setText(CalcState.prop.getProperty("Email"));
		tvHomeLink.setText(CalcState.prop.getProperty("HomeURL"));

		// v6.0.1 - 29 Mar 12
		try
		{
			tvVersion.setText(getString(R.string.about_version) + getPackageManager().getPackageInfo(getPackageName(), 0).versionName);
		}
		catch (Exception ex)
		{
			if (BuildConfig.DEBUG)
			{
				Log.e(CalcState.TAG, ex.toString());
			}
		}
	}

	// let's blow this pop stand!
	public void onClose(View v)
	{
		finish();
	}
}
